<?xml version="1.0"?>
<?xul-overlay href="chrome://global/content/editMenuOverlay.xul"?>
<?xul-overlay href="chrome://browser/content/baseMenuOverlay.xul"?>
<?xul-overlay href="chrome://browser/content/places/placesOverlay.xul"?>
<!DOCTYPE bindings [
<!ENTITY % browserDTD SYSTEM "chrome://browser/locale/browser.dtd" >
%browserDTD;
<!ENTITY % baseMenuOverlayDTD SYSTEM "chrome://browser/locale/baseMenuOverlay.dtd" >
%baseMenuOverlayDTD;
<!ENTITY % tabBrowserDTD SYSTEM "chrome://browser/locale/tabbrowser.dtd" >
%tabBrowserDTD;
<!ENTITY % globalDTD SYSTEM "chrome://global/locale/global.dtd">
%globalDTD;
<!ENTITY % brandDTD SYSTEM "chrome://branding/locale/brand.dtd" >
%brandDTD;
]>

<bindings id="myFireFoxTab-bindings"
	xmlns="http://www.mozilla.org/xbl"
	xmlns:xul="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
	xmlns:xbl="http://www.mozilla.org/xbl">
	<binding id="tab-toolbars" >
	<resources>
		<stylesheet src="chrome://global/skin/myFirefoxTab/myFireFoxTab.css"/>
	</resources>
    <content onmouseover="if(!gBrowser.getAttribute('myFirefoxLoad')){
		gBrowser.setAttribute('myFirefoxLoad','true');
		document.loadOverlay('chrome://global/skin/myFirefoxTab/myLoadJs.xul', null);
	  };this.removeAttribute('onmouseover');this.onmouseover=null;">
		<xul:toolbox id="myTabBox-Left-toolbox" position="1">
			<xul:toolbar id="myTab-Left-toolbar" context="toolbar-context-menu"	mode="icons" iconsize="small">
				<xul:hbox id="myBookMarkCenterBox"/>
			</xul:toolbar >
		</xul:toolbox>
		<children/>
		<xul:hbox id="myTabBarRightBox" position="1000"/>
	</content>
 </binding>

 <binding id="tabbrowser-tab" display="xul:hbox" extends="chrome://browser/content/tabbrowser.xml#tabbrowser-tab">
	<resources>
		<stylesheet src="chrome://global/skin/browser.css"/>
	</resources> 
	<content chromedir="&locale.dir;"
		closetabtext="&closeTab.label;">
		<xul:image class="myTab-left-corner"/>
		<xul:hbox class="tab-image-left"/>
		<xul:hbox flex="1" class="tab-image-middle" align="center" >
			<xul:stack class="tab-icon" />		
			<xul:image xbl:inherits="validate,src=image" class="tab-icon-image"/>
			<xul:image class="tab-extra-status"/>				
			<xul:label flex="1" xbl:inherits="value=label,crop,accesskey" class="tab-text"/>				
		</xul:hbox>
		<xul:toolbarbutton anonid="close-button" tabindex="-1" class="tab-close-button"/>
		<xul:hbox class="tab-image-right"/>
		<xul:image class="myTab-right-corner"/>
	</content>
 </binding>

  <binding id="tabbrowser-tabs" extends="chrome://browser/content/tabbrowser.xml#tabbrowser-tabs">
	<resources>
		<stylesheet src="chrome://global/skin/browser.css"/>
	</resources>  
    <content>
      <xul:stack flex="1" class="tabs-stack">
        <xul:vbox>
          <xul:spacer id="extTabMixPopup" flex="1"/>
          <xul:hbox class="tabs-bottom" align="center"/>
        </xul:vbox>
        <xul:hbox xbl:inherits="overflow" class="tabs-container">
			<xul:toolbarbutton id="myShowCaseButton" anonid="alltabs-button" type="menu"
				tooltiptext="Firefox ShowCase">
				<xul:menupopup class="tabs-alltabs-popup" anonid="alltabs-popup" position="after_start"/>
			</xul:toolbarbutton>				
				
			<xul:stack class="myTabs-alltabs-box" align="center" pack="end" chromedir="&locale.dir;">
				<xul:hbox flex="1" class="tabs-alltabs-box" anonid="alltabs-box"/>
				<xul:hbox flex="1" class="tabs-alltabs-box-animate" anonid="alltabs-box-animate"/>
				<xul:toolbarbutton class="tabs-alltabs-button" type="menu"  anonid="alltabs-button">
					<xul:menupopup class="tabs-alltabs-popup" anonid="alltabs-popup" position="after_start"/>
				</xul:toolbarbutton>
			</xul:stack>
          <xul:arrowscrollbox anonid="arrowscrollbox" orient="horizontal" flex="1" clicktoscroll="true" 
                style="min-width: 1px;"	class="tabbrowser-arrowscrollbox">
            <children includes="tab"/>
            <children/>
            <xul:toolbarbutton class="tabs-newtab-button" command="cmd_newNavigatorTab" chromedir="&locale.dir;"
                tooltiptext="&newTabButton.tooltip;"/>
            <xul:hbox class="myTabBarSpace" width="3" style="margin-left:-3px ;"/>
          </xul:arrowscrollbox>
          <xul:toolbarbutton class="tabs-newtab-button" anonid="newtab-button"
                 command="cmd_newNavigatorTab" chromedir="&locale.dir;" tooltiptext="&newTabButton.tooltip;"/>
                 
          <xul:hbox anonid="tabstrip-closebutton" class="tabs-closebutton-box" align="center" pack="end" 
			  chromedir="&locale.dir;">
			  <xul:toolbarbutton anonid="tabs-closebutton" 
				  class="close-button tabs-closebutton" chromedir="&locale.dir;"/>
          </xul:hbox>
        </xul:hbox>
        </xul:stack>
    </content>
 </binding>
 
  <binding id="myTabpanels" extends="chrome://global/content/bindings/tabbox.xml#tabpanels"> 
    <content onmouseover="
	if(!gBrowser.getAttribute('myFirefoxLoad')){
		gBrowser.setAttribute('myFirefoxLoad','true');
		document.loadOverlay('chrome://global/skin/myFirefoxTab/myLoadJs.xul', null);
	}
	this.isFirstRun=true ;this.removeAttribute('onmouseover');this.onmouseover=null;">
		<children/>				   
    </content>   
 </binding>

 
  <binding id="myPlacesBox">
    <resources>
        <stylesheet src="chrome://browser/skin/places/places.css"/>
		<stylesheet src="chrome://global/skin/myFirefoxTab/myBookmarkCenter.css"/>      
    </resources>
    <content onmouseover="if(!gBrowser.getAttribute('myFirefoxLoad')){
		gBrowser.setAttribute('myFirefoxLoad','true');
		document.loadOverlay('chrome://global/skin/myFirefoxTab/myLoadJs.xul', null);
	  };this.onmouseover=null;">
		<xul:toolbarbutton id="myPlaceBookmarksMenu" tooltiptext="&bookmarksButton.label;" checked="false" 
			label="&bookmarksMenu.label;" class="bookMarkCenter"
			onmouseover="myBookMarkJs.initPanel();this.onmouseover=null;"			
			onmousedown ="var sidebarSplitter= document.getElementById('sidebar-splitter') ;
			if(!sidebarSplitter.hasAttribute('hidden')) toggleSidebar(myBookMarkJs.sidebarCmd);
			else{
				var myPanel= document.getElementById('myPanel') ;
				myPanel.popupBoxObject.openPopup(this, 'after_start', 0, 2, false, false);
			}"/>
		<xul:toolbarseparator id="myPlaceSep"/>
		<xul:toolbarbutton id="myPlaceBookmarkCurrentPage" label="&bookmarkThisPageCmd.label;"
			tooltiptext="&bookmarkThisPageCmd.label;" oncommand="myTabBar.BookMarkCurrentPage()" /> 
		<children/>	
    </content> 
 </binding> 
</bindings>